﻿
using System;

namespace VZInterfaceTestHandbook
{
  public enum InterfaceType
  {
    RS232 = 0,
    ETH = 1,
    USB = 2
  };

  public interface IComIf
  {
    InterfaceType GetInterfaceType();
    Boolean Open();
    Boolean Close();
    Boolean Write(Byte[] buffer, int count);
    int Read(out Byte[] buffer, int count);
    Boolean ReadByte(ref Byte byRecv);
    Boolean ReadTimeout(int timeout);
    Boolean isConnected();
    int BytesToRead();
    void Flush();
    Boolean SetBaudrate(int baudRate);
  }
}
